SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000415SiT!triggerspublic2009-01-21 09:062009-02-27 16:27
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.41 
Target Version3.45Fixed in Version3.45 
Summary0000415: {contactphone} not replaced
DescriptionIn email templates {contactphone} is not replaced
TagsNo tags attached.
Attached Files

- Relationships
related to 0000423assignedivan Template editor shows variables that aren't available 

-  Notes
User avatar (0000506)
kieran (administrator)
2009-01-21 09:19

Fixed in trunk r4683
User avatar (0000510)
ivan (administrator)
2009-01-23 11:00

Reopening this, the r4683 fix didn't seem to work for me or for salford. Trying the variable in a 'support email' template.

Assigning this to me, I'll take a look
User avatar (0000511)
ivan (administrator)
2009-01-23 11:16

The problem seems to be that {contactphone} needs contactid as a param, but the incident emails only send incidentid and triggeruserid as params.

I'm not sure if we have a method of setting up "auto-params", like a way of setting contactid from the incidentid, but I think thats what is needed. Looking into it.
User avatar (0000514)
ivan (administrator)
2009-01-23 12:50

OK, we define replacement variables several times, with different required params. e.g. {contactemail} is defined to require either incidentid or contactid. So I need to define a new replacement for {contactphone}.

There is another issue that this brings up, the GUI should not let {contactphone} be selected for the template unless the variable requirements are provided. For incident type templates we only provide, incidentid and triggeruserid. I'll open another bug for that.
User avatar (0000517)
ivan (administrator)
2009-01-23 13:35

Fixed in trunk svn r4708

There may be other variables that are missing

- Issue History
Date Modified Username Field Change
2009-01-21 09:06 paulh New Issue
2009-01-21 09:06 paulh Status new => assigned
2009-01-21 09:06 paulh Assigned To => kieran
2009-01-21 09:19 kieran Note Added: 0000506
2009-01-21 09:19 kieran Status assigned => resolved
2009-01-21 09:19 kieran Resolution open => fixed
2009-01-21 09:19 kieran Fixed in Version => 3.45
2009-01-21 09:19 kieran Target Version => 3.45
2009-01-23 11:00 ivan Note Added: 0000510
2009-01-23 11:00 ivan Assigned To kieran => ivan
2009-01-23 11:00 ivan Status resolved => assigned
2009-01-23 11:00 ivan Resolution fixed => reopened
2009-01-23 11:00 ivan Fixed in Version 3.45 =>
2009-01-23 11:16 ivan Note Added: 0000511
2009-01-23 12:50 ivan Note Added: 0000514
2009-01-23 13:02 ivan Relationship added related to 0000423
2009-01-23 13:35 ivan Note Added: 0000517
2009-01-23 13:35 ivan Status assigned => resolved
2009-01-23 13:35 ivan Resolution reopened => fixed
2009-01-23 13:35 ivan Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker